Expand {lava} | R Documentation

## Create a Data Frame from All Combinations of Factors

### Description

Create a Data Frame from All Combinations of Factors

### Usage

    Expand(`_data`, ...)

### Arguments

`_data` | Data.frame
`...` | vectors, factors or a list containing these

### Details

Simple wrapper of the 'expand.grid' function. If x is a table then a data frame is returned with one row pr individual observation.

### Author(s)

Klaus K. Holst

### Examples

    dd <- Expand(iris, Sepal.Length=2:8, Species=c("virginica","setosa"))
    summary(dd)

    T <- with(warpbreaks, table(wool, tension))
    Expand(T)

[Package lava version 1.5.1 Index]